source: pkg/main/at-spi/trunk/debian/changelog @ 2218

Revision 2218, 17.9 KB checked in by alanbach-guest, 7 years ago (diff)

updated at-spi 1.20.1

Line 
1at-spi (1.20.1-parsix1) unstable; urgency=low
2
3  * New upstream stable release
4
5 -- Alan Baghumian <alan@technotux.org>  Wed, 17 Oct 2007 13:56:41 +0000
6
7at-spi (1.20.0-parsix1) unstable; urgency=low
8
9  * Sync'd with Debian, New upstream release
10
11 -- Alan Baghumian <alan@technotux.org>  Mon, 17 Sep 2007 10:35:13 +0000
12
13at-spi (1.19.5-1) experimental; urgency=low
14
15  [ Loic Minier ]
16  * Fix description of the -dbg package.
17
18  [ Marc 'HE' Brockschmidt ]
19  * debian/control.in: Split b-deps to multiple lines
20  * New upstream release (with API extensions):              (Closes: #423542)
21    + Upstream now provides python binding to at-spi. Packaging for those
22      mostly stolen from the Ubuntu package.
23    + debian/rules: Include check-dists.mk again
24    + debian/control: Change deps everywhere to get the package bin-NMUable
25
26 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 04 Aug 2007 10:35:09 +0200
27
28at-spi (1.18.1-2) unstable; urgency=low
29
30  * Upload to unstable, drop check-dist include.
31  * Build depend on gnome-pkg-tools >= 0.11.3 to get me into Uploaders
32
33 -- Sebastian Dröge <slomo@debian.org>  Tue, 17 Apr 2007 13:58:46 +0200
34
35at-spi (1.18.1-1) experimental; urgency=low
36
37  * Use DEB_UPSTREAM_VERSION instead of computing the version; misc cleanups.
38  * New upstream release.
39  * Drop useless debian/at-spi-doc.dirs; cleanups.
40  * Stop shipping *.la files for ORBit and Gtk modules.
41  * Fix watch file to track all stable versions and use HTTP.
42  * Bump up cdbs build-dep to >= 0.4.41 for LDFLAGS.
43  * Bump up Debhelper compatibility level to 5; drop various hacks related to
44    dbg package.
45  * Fix copyright file to include the full license and the full download URL.
46  * Add ${misc:Depends}.
47
48 -- Loic Minier <lool@dooz.org>  Mon, 09 Apr 2007 14:28:16 +0200
49
50at-spi (1.18.0-1) experimental; urgency=low
51
52  * New upstream release.
53
54 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 25 Mar 2007 11:42:29 +0200
55
56at-spi (1.17.2-1) experimental; urgency=low
57
58  * New upstream releases; no API change.
59    - Bump up libatk1.0-dev build-dep to >= 1.17.0.
60
61 -- Loic Minier <lool@dooz.org>  Sun, 11 Mar 2007 19:39:44 +0100
62
63at-spi (1.7.16-1) experimental; urgency=low
64
65  * Fix upstream version computation to allow "-" in upstream versions.
66  * Add a get-orig-source target to retrieve the upstream tarball.
67  * New upstream releases; no API change.
68    - Bump up build-deps to libgtk2.0-dev >= 2.10.0, libgail-dev >= 1.9.0, and
69      libatspi-dev deps accordingly.
70    - Add libx11-dev build-dep.
71    - Drop relibtoolizing patch; not needed anymore.
72    - Bump up libatk1.0-dev build-dep to >= 1.13.2, even if configure fails to
73      check for this.
74  * Include the new check-dist Makefile to prevent accidental uploads to
75    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
76
77 -- Loic Minier <lool@dooz.org>  Sun, 11 Mar 2007 17:53:36 +0100
78
79at-spi (1.7.12-1) unstable; urgency=low
80
81  * Set Maintainer to the Debian GNOME Maintainers.
82  * New upstream release.
83    - Relibtoolize.
84
85 -- Loic Minier <lool@dooz.org>  Mon,  2 Oct 2006 19:26:29 +0200
86
87at-spi (1.7.11-1) unstable; urgency=low
88
89  * New upstream release: no API change.
90    - Relibtoolize.
91
92 -- Loic Minier <lool@dooz.org>  Wed, 23 Aug 2006 16:21:07 +0200
93
94at-spi (1.7.10-1) unstable; urgency=low
95
96  * New upstream releases, with API additions.
97    - Bump libatk1.0-dev build-dep to >= 1.12.0.
98    - Drop patches 10_libspi, 11_login-helper, and 12_atk-bridge as a
99      different fix for the link failures was implemented upstream.
100    - Rename 70_mandatory-relibtoolize to 70_relibtoolize and update.
101    - Fix immediate crash of applications on amd64. (Closes: #380254)
102  * Build-depend on libxext-dev and libxevie-dev.
103
104 -- Loic Minier <lool@dooz.org>  Tue,  1 Aug 2006 10:31:41 +0200
105
106at-spi (1.7.7-3) unstable; urgency=low
107
108  * Stop shipping /usr/lib/*.la files in libatspi-dev.
109  * Bump up Standards-Version to 3.7.2.
110  * Drop xlibs-static-dev build-dep.
111  * Install /usr/share/locale in at-spi.
112  * Include CDBS' utils.
113  * Drop libxml-parser-perl from build-depends-indep as it is already in
114    build-depends.
115  * Drop sharutils from build-depends-indep; not required anymore.
116  * Don't override CFLAGS with the default value.
117  * New patches to fix link failures, 10_libspi, 11_login-helper, and
118    12_atk-bridge. (Closes: #377157)
119  * Add a new relibtoolizing patch, 70_mandatory-relibtoolize, mandatory
120    because of 10_libspi, 11_login-helper, and 12_atk-bridge.
121
122 -- Loic Minier <lool@dooz.org>  Tue, 18 Jul 2006 21:22:26 +0200
123
124at-spi (1.7.7-2) unstable; urgency=low
125
126  * [debian/control.in] Bumped libgnomecanvas-dev, libgtk2.0-dev and
127  * libgail-dev dependencies to make libXcursor/libXrender transition.
128
129 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 22 Apr 2006 10:22:42 +0200
130
131at-spi (1.7.7-1) unstable; urgency=low
132
133  * New upstream release: documentation improvements, new locales, cleanups
134    and bugfixes.
135
136 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  1 Apr 2006 10:50:33 +0200
137
138at-spi (1.7.6-1) unstable; urgency=low
139
140  * New upstream release
141  * debian/control:
142    - require debhelper >= 4.1.0
143    - upgrade build-dep libatk1.0-dev to 1.11.0
144  * debian/copyright:
145    - minor update to match AUTHORS
146  * debian/watch:
147    - update version number
148
149 -- Oystein Gisnas <oystein@gisnas.net>  Sun, 19 Mar 2006 06:50:05 +0100
150
151at-spi (1.6.6-1) unstable; urgency=low
152
153  * New (for Debian) upstream release.
154  * [debian/control.in] Bumped Standards-Version.
155
156 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 18 Sep 2005 13:29:29 +0200
157
158at-spi (1.6.6-0ubuntu1) breezy; urgency=low
159
160  * New upstream version.
161
162 -- Sebastien Bacher <seb128@canonical.com>  Tue,  6 Sep 2005 00:23:06 +0200
163
164at-spi (1.6.5-0ubuntu1) breezy; urgency=low
165
166  * New upstream version.
167
168 -- Sebastien Bacher <seb128@canonical.com>  Wed, 31 Aug 2005 18:57:40 +0200
169
170at-spi (1.6.4-1) unstable; urgency=low
171
172  * New upstream release.
173
174 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 14 May 2005 13:34:18 +0200
175
176at-spi (1.6.3-1) unstable; urgency=high
177
178  * New upstream bugfix and translations update release.
179  * [debian/at-spi.install] Ensure installation of
180    Accessibility_LoginHelper_module.so and Accessibility_module.so .
181    (Closes: #300808)
182
183 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 17 Apr 2005 14:10:32 +0200
184
185at-spi (1.6.2-2) unstable; urgency=medium
186
187  * [debian/rules] Build documentation again, as it is no longer included in
188    HTML in the upstream tarball.
189  * [debian/control.in] Readded build dependency on gtk-doc-tools.
190  * [debian/at-spi-doc.links] Added.
191  * [debian/at-spi-doc.doc-base.at-spi-cspi, debian/at-spi-doc.dirs] Updated.
192  * Combined, this brings back the HTML docs. (Closes: #285640)
193
194 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  8 Jan 2005 20:56:17 +0100
195
196at-spi (1.6.2-1) unstable; urgency=medium
197
198  * New upstream bugfix release.
199
200 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 12 Dec 2004 15:02:04 +0100
201
202at-spi (1.6.1-1) unstable; urgency=medium
203
204  * New upstream bugfix release.
205
206 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  4 Dec 2004 19:12:41 +0100
207
208at-spi (1.6.0-3) unstable; urgency=low
209
210  * GNOME Team Upload to unstable.
211
212 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 20 Nov 2004 18:32:59 -0200
213
214at-spi (1.6.0-2) experimental; urgency=low
215
216  * [debian/at-spi.install] Include the orbit modules.
217    Include the .la files as well.
218  * [debian/libatspi-dev.install] No longer include the .la files for the gtk
219    and orbit modules.
220  * [debian/debian/libatspi1.0-0.install] Don't touch the orbit modules.
221  * [debian/control.in] Added appropriate Replaces: as files have been moved
222    to a different package.
223
224 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 18 Sep 2004 10:17:51 +0200
225
226at-spi (1.6.0-1) experimental; urgency=low
227
228  * New upstream release.
229  * [debian/watch] Updated.
230  * [debian/control.in] Don't build-depend on gtk-doc-tools, just use the HTML
231    documentation from the upstream tarball. Added build dependency on
232    libxml-parser-perl as libtool needs it.
233
234 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 14 Sep 2004 18:25:48 +0200
235
236at-spi (1.5.4-1) experimental; urgency=low
237
238  * New upstream development release.
239  * Switched to CDBS.
240  * [debian/rules] Implemented tight shlibs versioning.
241  * [debian/watch] Updated.
242
243 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 11 Sep 2004 14:46:44 +0200
244
245at-spi (1.4.2-2) unstable; urgency=medium
246
247  * [debian/control.in] Added libxt-dev build dependency as it contains the
248    header used by configure to detect X. Noted by Goswin von Brederlow
249    (Closes: #251583)
250    Added runtime dependency of the -dev package on libxtst-dev as libspi.la
251    and libcspi.la have -lXtst in dependency_libs. Noted by Michel Daenzer.
252    (Closes: #246325)
253    Likewise added libsm-dev, libice-dev and libx11-dev runtime dependencies.
254
255 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue,  1 Jun 2004 19:15:27 +0200
256
257at-spi (1.4.2-1) unstable; urgency=low
258
259  * New upstream release.
260  * debian/control.in:
261    + libatspi-dev depends on libxtst-dev (Closes: #246325).
262  * debian/patches/000_at-spi-automake-1.8-support.patch:
263    + removed.
264  * debian/patches/001_at-spi-autotools-update.patch:
265    + updated.
266  * GNOME Team Upload.
267
268 -- Sebastien Bacher <seb128@debian.org>  Sun,  2 May 2004 19:49:44 +0200
269
270at-spi (1.3.11-1) unstable; urgency=low
271
272  * GNOME Team Upload.
273  * New upstream release.
274  * debian/patches/000_at-spi-automake-1.8-support.patch: new, fix
275    Makefile.am's to support automake1.8.
276  * debian/patches/000_at-spi-debian-aclocal-pass_all.patch: moved ...
277  * debian/patches/001_at-spi-autotools-update.patch: ... here, and updated.
278  * debian/patches/001_at-spi-fpi.patch: removed, applied upstream.
279  * debian/rules: remove LIBTOOL_IS_A_FOOL hack.
280
281 -- Jordi Mallach <jordi@debian.org>  Fri, 30 Jan 2004 17:37:27 +0100
282
283at-spi (1.3.9-3) unstable; urgency=low
284
285  * GNOME Team Upload.
286  * Acknowledge NMU (Closes: #225229)
287  * debian/changelog:
288  - Removed local Emacs variables
289  * debian/html.tar.gz.uu:
290  - work-around missing catalog to build the documentation by
291    providing already-built html docs uuencoded (Closes: 225273)
292  * debian/control.in, debian/rules:
293  - added sharutils to the Build-Depends, as debian/rules now
294    uses uudecode to decode debian/html.tar.gz.uu
295  - some small cleaning in debian/rules
296  - create a link for the html documentation in /usr/share/gtk-doc/html
297    -- that means the .devhelp file is exposed to devhelp.
298
299 -- Gustavo Noronha Silva <kov@debian.org>  Tue,  6 Jan 2004 22:56:39 -0200
300
301at-spi (1.3.9-2.1) unstable; urgency=low
302
303  * Removed explicit libxml-parser-perl build dependency; gnome-common will
304    pull it in for us. Duplicated gnome-common into Build-Depends as the
305    buildds ignore Build-Depends-Indep.
306
307 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 27 Dec 2003 18:36:14 +0100
308
309at-spi (1.3.9-2) unstable; urgency=low
310
311  * Added Build-Depends on libxml-parser-perl (Closes: #225164).
312  * Gnome Team Upload.
313
314 -- Sebastien Bacher <seb128@debian.org>  Sat, 27 Dec 2003 11:23:13 +0100
315
316at-spi (1.3.9-1) unstable; urgency=low
317   
318  * Sebastien Bacher <seb128@debian.org>
319  - New upstream release.
320  - debian/patches/001_at-spi-fpi.patch:
321    - new patch to fix the FPI (Closes: #219773).
322  - debian/patches/000_at-spi-debian-aclocal-pass_all.patch:
323    - updated.
324  * Akira TAGOH <tagoh@debian.org>
325  - debian/at-spi-doc.doc-base.at-spi-cspi: fixed wrong index file.
326    (closes: Bug#220532)
327
328 -- Sebastien Bacher <seb128@debian.org>  Sat, 20 Dec 2003 12:40:09 +0100
329
330at-spi (1.3.8-2) unstable; urgency=low
331
332  * Akira TAGOH <tagoh@debian.org>
333  - debian/control:
334    - added gnome-pkg-tools to Build-Depends.
335  - debian/rules:
336    - modified to generate debian/control from gnome-pkg-tools.
337    - removed DH_COMPAT.
338    - don't dh_link for libatspi-dev to include the example files.
339  - debian/compat:
340    - use this instead of DH_COMPAT in debian/rules.
341  - debian/libatspi-dev.examples:
342    - added the example files in test/ upstream archive. (closes: Bug#200303)
343  - debian/patches/000_at-spi-debian-aclocal-pass_all.patch:
344    - it's really needed for arm. applied again.
345  - actually fixed in 1.3.8-1 release.
346    - just required new upstream release. (closes: Bug#208991, Bug#215039)
347
348 -- Akira TAGOH <tagoh@debian.org>  Mon, 27 Oct 2003 22:09:18 +0900
349
350at-spi (1.3.8-1) unstable; urgency=low
351
352  * New upstream release (Closes: #206545).
353  * debian/control:
354    - added Uploaders field.
355    - bumped Standards-Version to 3.6.1.0.
356    - updated Build-Depends (Closes: #214800).
357  * debian/patches/:
358    - 000_at-spi-debian-libtool.patch: removed.
359  * Gnome Team Upload.
360
361 -- Sebastien Bacher <seb128@debian.org>  Thu, 23 Oct 2003 22:27:43 +0200
362
363at-spi (1.1.9-1) unstable; urgency=low
364
365  * New upstream release.
366    - fixed the undefined non-weak symbols issue. (closes: Bug#195974)
367  * debian/control:
368    - bumped Standards-Version to 3.5.10.0.
369    - changed a section for at-spi to gnome.
370    - changed a section for libatspi-dev and libatspi-dbg to libdevel.
371  * debian/patches/:
372    - 000_at-spi-debian-libtool.patch: updated.
373
374 -- Akira TAGOH <tagoh@debian.org>  Sun, 15 Jun 2003 21:13:42 +0900
375
376at-spi (1.1.8-2) unstable; urgency=low
377
378  * debian/patches/000_at-spi-1.1.8-libtool.patch:
379    - applied to fix mispel build issue. (closes: Bug#183779)
380  * debian/rules:
381    - bumped DH_COMPAT to 4.
382
383 -- Akira TAGOH <tagoh@debian.org>  Sun,  9 Mar 2003 16:32:03 +0900
384
385at-spi (1.1.8-1) unstable; urgency=low
386
387  * New upstream release.
388  * debian/control:
389    - bumped Standards-Version to 3.5.8.
390    - updated Build-Depends.
391    - changed the package name to libatspi1.0-0
392  * debian/copyright:
393    - fix copyright-lists-upstream-authors-with-dh_make-boilerplate stuff.
394  * debian/rules:
395    support noopt option for DEB_BUILD_OPTIONS.
396
397 -- Akira TAGOH <tagoh@debian.org>  Sun,  2 Mar 2003 16:24:44 +0900
398
399at-spi (1.0.2-1) unstable; urgency=low
400
401  * New upstream release.
402  * debian/control:
403    - bumped Standards-Version to 3.5.7.
404    - updated Build-Depends.
405
406 -- Akira TAGOH <tagoh@debian.org>  Mon,  9 Sep 2002 00:06:44 +0900
407
408at-spi (1.0.1-3) unstable; urgency=low
409
410  * debian/control: fix the wrong build-depends.
411
412 -- Akira TAGOH <tagoh@debian.org>  Wed, 21 Aug 2002 11:59:16 +0900
413
414at-spi (1.0.1-2) unstable; urgency=low
415
416  * Build against new GTK+2.0.
417  * debian/control: updates Build-Depends.
418
419 -- Akira TAGOH <tagoh@debian.org>  Fri,  9 Aug 2002 04:29:17 +0900
420
421at-spi (1.0.1-1) unstable; urgency=low
422
423  * New upstream release.
424  * debian/control:
425    - updated Build-Depends.
426    - renamed libatspi1 to libatspi1.0-1. it's needed to avoid a duplicate
427      soname.
428    - moved /usr/lib/orbit-2.0/Accessibility_module.so to at-spi package.
429
430 -- Akira TAGOH <tagoh@debian.org>  Wed, 10 Jul 2002 16:08:32 +0900
431
432at-spi (1.0.0-1) unstable; urgency=low
433
434  * New upstream release.
435  * debian/patches/000_at-spi-0.12.1-missingheader.patch:
436    removed because it's no longer needed.
437  * debian/control: merged libatutil0 to at-spi.
438
439 -- Akira TAGOH <tagoh@debian.org>  Wed, 12 Jun 2002 20:31:22 +0900
440
441at-spi (0.12.1-2) unstable; urgency=low
442
443  * debian/patches/000_at-spi-0.12.1-missingheader.patch:
444    applied to libspi/Makeefile.am for the missing header file.
445
446 -- Akira TAGOH <tagoh@debian.org>  Thu, 25 Apr 2002 03:38:48 +0900
447
448at-spi (0.12.1-1) unstable; urgency=low
449
450  * New upstream release.
451  * debian/scripts/vars.build: fix bashism.
452
453 -- Akira TAGOH <tagoh@debian.org>  Thu, 18 Apr 2002 02:51:16 +0900
454
455at-spi (0.10.0-1) unstable; urgency=low
456
457  * New upstream release.
458  * debian/control: update Build-Depends to libgail-dev (>= 0.11)
459  * debian/patches/000_at-spi-0.0.8-fixbuild.patch:
460    removed. it's no longer needed for build.
461
462 -- Akira TAGOH <tagoh@debian.org>  Tue,  2 Apr 2002 02:58:31 +0900
463
464at-spi (0.0.8-4) unstable; urgency=low
465
466  * Build against the latest libraries.
467  * debian/rules: copying the latest config.sub and config.guess.
468  * debian/patches/000_at-spi-0.0.8-fixbuild.patch:
469    fix build against gtk+ 2.0.
470  * debian/control: add libxml2-dev and zlib1g-dev to Build-Depends. (closes:
471    Bug#137809)
472
473 -- Akira TAGOH <tagoh@debian.org>  Thu, 28 Mar 2002 03:28:14 +0900
474
475at-spi (0.0.8-3) unstable; urgency=low
476
477  * Build against gail 0.9.
478  * debian/control: update Build-Depends.
479
480 -- Akira TAGOH <tagoh@debian.org>  Wed,  6 Mar 2002 03:38:06 +0900
481
482at-spi (0.0.8-2) unstable; urgency=low
483
484  * Build against the latest libraries.
485  * debian/rules: changed as the following
486    - support DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE.
487    - support debug and nostrip for DEB_BUILD_OPTIONS.
488
489 -- Akira TAGOH <tagoh@debian.org>  Wed, 27 Feb 2002 03:09:57 +0900
490
491at-spi (0.0.8-1) unstable; urgency=low
492
493  * New upstream release.
494
495 -- Akira TAGOH <tagoh@debian.org>  Fri, 15 Feb 2002 02:32:06 +0900
496
497at-spi (0.0.7-1) unstable; urgency=low
498
499  * New upstream release.
500
501 -- Akira TAGOH <tagoh@debian.org>  Fri, 15 Feb 2002 01:30:20 +0900
502
503at-spi (0.0.6-1) unstable; urgency=low
504
505  * New upstream release.
506
507 -- Akira TAGOH <tagoh@debian.org>  Tue,  5 Feb 2002 02:05:23 +0900
508
509at-spi (0.0.5-3) unstable; urgency=low
510
511  * added libgnomecanvas2-dev to build-depends. (closes: Bug#130656)
512  * added libatk-dev and libgtk1.3-dev to depends for libatspi-dev.
513
514 -- Akira TAGOH <tagoh@debian.org>  Fri, 25 Jan 2002 02:15:39 +0900
515
516at-spi (0.0.5-2) unstable; urgency=low
517
518  * Build against with atk-0.9.
519  * Added libart-2.0-dev to Build-Depends.
520
521 -- Akira TAGOH <tagoh@debian.org>  Mon, 21 Jan 2002 21:59:53 +0900
522
523at-spi (0.0.5-1) unstable; urgency=low
524
525  * New upstream release.
526  * Separated some libraries to packages because avoid
527    the file conflicts.
528
529 -- Akira TAGOH <tagoh@debian.org>  Mon, 14 Jan 2002 18:28:42 +0900
530
531at-spi (0.0.4-3) unstable; urgency=low
532
533  * Added libpopt-dev to build-depends (closes: Bug#127808)
534
535 -- Akira TAGOH <tagoh@debian.org>  Fri, 11 Jan 2002 01:21:48 +0900
536
537at-spi (0.0.4-2) unstable; urgency=high
538
539  * Fixed description's typo (closes: Bug#124425, Bug#124426,
540    Bug#124891, Bug#124890)
541  * Changed description (closes: Bug#123797)
542  * Fixed relink problem.
543
544 -- Akira TAGOH <tagoh@debian.org>  Sun, 30 Dec 2001 22:37:31 +0900
545
546at-spi (0.0.4-1) unstable; urgency=low
547
548  * Initial Release. (closes: Bug#121089)
549
550 -- Akira TAGOH <tagoh@debian.org>  Sun, 25 Nov 2001 23:22:11 +0900
551
552
Note: See TracBrowser for help on using the repository browser.